Ya Esta Disponible Gambas 3.15


Objetivo: Ya Esta Disponible Gambas 3.15
Hola amigos,
Ya tenemos gambas 3.15
Vamos a probar...

última edición por alessandri el Martes, 07 Julio 2020, 13:35; editado 2 veces
Perfil MP  
Objetivo: Re: Ya Esta Disponible Gambas 3.15
Hola, me he llevado la sorpresa de que no puedo instalarlo en kubuntu 18.04
cuando uso el comando make sale esto:
gbx_extern.c:781:1: error: unknown type name ‘EXTERN_FUNC_INFO’
EXTERN_FUNC_INFO EXTERN_get_function_info(CLASS_EXTERN *ext)
^~~~~~~~~~~~~~~~
gbx_extern.c: In function ‘EXTERN_get_function_info’:
gbx_extern.c:783:2: error: unknown type name ‘EXTERN_FUNC_INFO’
EXTERN_FUNC_INFO func_info = { NULL, NULL };
^~~~~~~~~~~~~~~~
gbx_extern.c:783:33: warning: initialization makes integer from pointer without a cast [-Wint-conversion]
EXTERN_FUNC_INFO func_info = { NULL, NULL };
^~~~
gbx_extern.c:783:33: note: (near initialization for ‘func_info’)
gbx_extern.c:783:39: warning: excess elements in scalar initializer
EXTERN_FUNC_INFO func_info = { NULL, NULL };
^~~~
gbx_extern.c:783:39: note: (near initialization for ‘func_info’)
gbx_extern.c: At top level:
cc1: warning: unrecognized command line option ‘-Wno-stringop-truncation’
cc1: warning: unrecognized command line option ‘-Wno-address-of-packed-member’
Makefile:1943: recipe for target 'gbx3-gbx_extern.o' failed
make[3]: *** [gbx3-gbx_extern.o] Error 1
make[3]: se sale del directorio '/home/alessandri/gambas-3.15.0/main/gbx'
Makefile:460: recipe for target 'install-recursive' failed
make[2]: *** [install-recursive] Error 1
make[2]: se sale del directorio '/home/alessandri/gambas-3.15.0/main'
Makefile:757: recipe for target 'install' failed
make[1]: *** [install] Error 2
make[1]: se sale del directorio '/home/alessandri/gambas-3.15.0/main'
Makefile:439: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1
root@alessandripck:/home/alessandri/gambas-3.15.0#

Sigo las instrucciones estandar que estan en la pagina. si alguien sabe como resolver eso favor ayuda...

Perfil MP  
Objetivo: Re: Ya Esta Disponible Gambas 3.15
Hola alessandri.

¿Cómo puedo actualizar a la 3.15?

Tengo la 3.14 en MX-Linux el cual instale con:

sudo apt-get install gambas3

Ahora al ejecutar ese comando solo encuentra la versión 3.14.0.

Gracias por la ayuda.

Perfil MP  
Objetivo: Re: Ya Esta Disponible Gambas 3.15
Hola,
estos son los repositorios oficiales para debian

sudo add-apt-repository ppa:gambas-team/gambas3
sudo apt-get update

pero aun no se actualiza. creo que tendremos que esperar para tener los .deb.

por ahora solo esta disponible el fuente en la pagina oficial de gambas
http://gambas.sourceforge.net/en/main.html

última edición por alessandri el Martes, 07 Julio 2020, 18:23; editado 1 vez
Perfil MP  
Objetivo: Re: Ya Esta Disponible Gambas 3.15
Alessandri:

Espera un poco, saldrá en breve. Aun estamos liado los que quieran usar gambas con la versión 20 de distintas distros que tienen que usar
la versión de desarrollo (daily).

Paciencia.

Saludos

Objetivo: Re: Ya Esta Disponible Gambas 3.15
Hola!.

Pues la configuración y la compilación en la Linux Mint 19.1 después de instalar las dependencias de la Ubuntu 18.04 se ha creado.
No la he llegado a instalar por que prefiero esperar al ppa. Por lo tanto no he ejecutado.

Lo cierto es que si yo tengo instalada y funcionando la 3.14.3 que usa las mismas dependencias que la 3.15, las de Ubuntu 18.04,
¿ cómo es que no se solicitaron con la versión anterior ?. ( si esta funcionando la 3.14.3 ).


Saludos

última edición por Shell el Miercoles, 08 Julio 2020, 21:21; editado 1 vez
Objetivo: Re: Ya Esta Disponible Gambas 3.15
Buenas!.

Para la versión de desarrollo(daily) existe la 3.15 en ppa, al menos llegué a verla en Xubuntu.
Conocía los cambios visuales ya desde la anterior 3.14.X en desarrollo.

Con la versión 3.15 bajo una distro virtualizada con "Focal Fossa" ( 20.04 LTS) se compila perfectamente la
estable perdiendo los componentes de QT4. Anteriormente no se podía compilar la 3.14.X versión estable en una 20.04,
solo funcionaba las fuentes de la daily

En el directorio de las fuentes de gambas hago:

find -iname "disabled"


Salida:

Citar:

./gb.qt4/DISABLED.gb.qt4.ext
./gb.qt4/DISABLED.gb.qt4.opengl
./gb.qt4/DISABLED.gb.qt4
./gb.qt4/DISABLED.gb.qt4.webkit
./gb.desktop.gnome.keyring/DISABLED.gb.desktop.gnome.keyring


Desinstalando la instalación desde fuentes, vi que tenía activo el repositorio de la daily y lo instalé desde este.
Sin problemas, solo el tema de los componentes qt4. gambas no deja de funcionar "aparentemente" por ellos
si tienes qt5.

En cuanto a este:

./gb.desktop.gnome.keyring/DISABLED.gb.desktop.gnome.keyring

Busqué los archivos warnings dentro del directorio y quería ver su contenido si es que la longitud de esto es mayor a un 1 byte.

for x in $(find -iname warnings.log -size 1b); do echo $x; cat $x; done


Salida:

Citar:

./gb.desktop.gnome.keyring/warnings.log
|| Unable to met pkg-config requirement: gnome-keyring-1
|| gb.desktop.gnome.keyring is disabled
./main/warnings.log
|| Unable to find file: libintl.so
|| Cannot find 'libintl' library. It may be located inside the system C library, so you can ignore that warning...
|| Unable to find file: libiconv.so
|| Cannot find 'libiconv' library. It may be merged inside the system C library, so you can ignore that warning...


Por un lado tiene que salir aun la 3.15 estable y por otro tenemos que con distros 20...no existe la posibilidad de usar QT4.
Espero que ese salto no cree muchos problemas a los programadores de gambas y su continuidad que parece que seguimos
atascados en ese aspecto.

Es raro que se haya creado el ppa de la daily antes que de la estable.

Saludos

última edición por Shell el Sabado, 11 Julio 2020, 11:05; editado 1 vez

Página 1 de 1


  
No puede crear mensajes
No puede responder temas
No puede editar sus mensajes
No puede borrar sus mensajes
No puede votar en encuestas
No puede adjuntar archivos
Puede descargar archivos
No puede publicar eventos en el calendario

   

Está utilizando la versión (Lo-Fi). Para ver la versión completa del foro, haga clic aquí.

Powered by Icy Phoenix based on phpBB
Design by DiDiDaDo

Página generada en:: 0.0933s (PHP: 41% SQL: 59%)
Consultas SQL: 52 - Debug off - GZIP Activado